# Created by pyp2rpm-3.3.2
%global pypi_name bashate

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %mkrel 2
Summary:        A pep8 equivalent for bash scripts
Group:          Development/Python
License:        ASL 2.0
URL:            https://docs.openstack.org/developer/bashate/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinx)
%endif
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(testscenarios)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(stestr)

%description
A pep8 equivalent for bash scripts. This program attempts to be an automated
style checker for bash scripts to fill the same part of code review that pep8
does in most OpenStack projects. It started from humble beginnings in the
DevStack project, and will continue to evolve over time.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pep8 equivalent for bash scripts. This program attempts to be an automated
style checker for bash scripts to fill the same part of code review that pep8
does in most OpenStack projects. It started from humble beginnings in the
DevStack project, and will continue to evolve over time.

%prep
%autosetup -n %{pypi_name}-%{version}


# Loosen reqs
perl -pi -e 's/^(.*)!=.*,/$1/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files bashate

%check
stestr --test-path ./bashate/tests run

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{_bindir}/bashate
%if %{with docs}
%doc html
%endif


%changelog
* Sun Mar 02 2025 wally <wally> 2.1.1-2.mga10
+ Revision: 2156824
- rebuild for python3.13

* Thu Apr 04 2024 papoteur <papoteur> 2.1.1-1.mga10
+ Revision: 2054278
- rebuild for python 3.12
- use pyproject

* Thu Nov 03 2022 kekepower <kekepower> 2.1.1-1.mga9
+ Revision: 1902154
- Update to version 2.1.1

* Tue Sep 20 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1891027
- Mageia 9 Mass Rebuild

* Mon Sep 27 2021 kekepower <kekepower> 2.1.0-1.mga9
+ Revision: 1746731
- Update to version 2.1.0

* Tue Aug 31 2021 wally <wally> 2.0.0-2.mga9
+ Revision: 1743845
- loosen reqs

* Fri Aug 27 2021 wally <wally> 2.0.0-1.mga9
+ Revision: 1742994
- new version 2.0.0

* Sat Jun 26 2021 tmb <tmb> 0.6.0-5.mga9
+ Revision: 1733725
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.6.0-4.mga9
+ Revision: 1732446
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1535562
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1452160
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 0.6.0-1.mga7
+ Revision: 1352621
- BR python2-enum34
- Disable docs for now
- imported package python-bashate

